const navigationBarHeight = (getApp().statusBarHeight + 50) + 'px'
var config = require("../../config/config.js");
var app = getApp();
const Http = require("../../utils/HttpBasics");
Page({
  data: {
    navigationBarHeight,
    path: null,
    couponChannelId: null,
    cuserId: null,
    coverImg: null,
    couponOrderId: null,
    optionData: null,
    fromflag: '',
    couponChannelIdflag: '',
    wjId: "",
    composeOrderType: "",
    fillIndentId: "",
    url: null,//游戏路径
    id: null,//游戏id,
    gameId: null,//游戏gameId
  },

  backHome() {
    tt.navigateBack({
      delta: 1,
      success: (res) => {

      },
      fail: (res) => {
        tt.reLaunch({
          url: "/index/index",
          success: (res) => {
            
          },
          fail: (res) => {
            
          },
        });
      },
    });
    // tt.reLaunch({
    //   url: "/pages/index/index",
    //   success: (res) => {
    //   },
    //   fail: (res) => {

    //   },
    // });
  },
  //是否授权手机号
  judgePhonelngo() {
    Http.get({
      url: config.api.checkPhoneStatus,
      data: {}
    }).then(res => {
      var tempSkip = app.globalData.skip
      if (tempSkip == 'redirectTo') {
        tt.redirectTo({
          url: app.globalData.skipUrl,
        })
      } else if (tempSkip == 'navigateTo') {
        tt.navigateTo({
          url: app.globalData.skipUrl,
        })
      } else if (tempSkip == 'reLaunch') {
        tt.reLaunch({
          url: app.globalData.skipUrl,
        })
      } else if (tempSkip == 'switchTab') {
        tt.switchTab({
          url: app.globalData.skipUrl,
        })
      }

    }).catch(err => {
      if(app.globalData.ifCongPh==1){
        tt.redirectTo({
          url: `/pages/getPhone/getPhone?skipUrl=1`
        });
      }else{
        tt.navigateBack({
          delta: 1,
        })
      }
      
    })
  },
  onLoad: function (options) {

    console.log(app.globalData.skip, app.globalData.skipUrl, app.globalData.type, "跳转地址")
    var that = this;
    // options.fromflag == 'coupondetail';
    // 游戏页面
    if (options && options.url && options.id && options.gameId) {
      that.setData({
        url: options.url,//游戏路径
        id: options.id,//游戏id,
        gameId: options.gameId,//游戏gameId
      })
    }
    // 来自优惠券详情页面
    if (options && options.fromflag) {
      that.setData({
        fromflag: options.fromflag
      })
    }
    if (options && options.composeOrderType) {
      that.setData({
        composeOrderType: options.composeOrderType
      })
    }
    //线上配送 填写订单
    if (options && options.fillIndentId && couponId && options.couponId) {
      that.setData({
        fillIndentId: options.fillIndentId,
        couponId: options.couponId
      })
    }
    // 来自优惠券列表券详情页面的 couponChannelId
    if (options && options.couponChannelIdflag) {
      that.setData({
        couponChannelIdflag: options.couponChannelIdflag
      })
    }
    //调查问卷
    if (options && !options.wjId || options.wjId) {
      this.setData({
        wjId: options.wjId
      })
    }
    if (options && options.spellGroup) {
      that.setData({
        spellGroup: options.spellGroup
      })
    } else {
      that.setData({
        spellGroup: null
      })
    }
    if (options.couponChannelId && !options.cuserId || options.orderId) {
      that.setData({
        couponChannelId: options.couponChannelId,
        orderId: options.orderId
      })
    }
    if (options && options.frommd && options.id) {
      that.setData({
        id: options.id,
        frommd: options.frommd
      })
    }
    // that.setData({
    //   optionData: null
    // })
    console.log(tt.getStorageSync('options'), 6666)
    that.setData({
      optionData: tt.getStorageSync('options') ? JSON.parse(tt.getStorageSync('options')) : null
    })
    if (options && options.path == 'index') {
      that.setData({
        path: options.path
      })
    }
    /**
     * 来自转赠
     */
    if (options.couponChannelId && options.cuserId) {
      that.setData({
        couponChannelId: options.couponChannelId,
        cuserId: options.cuserId,
        updateDate: options.updateDate,
        coverImg: options.coverImg,
        userName: options.userName,
        avatarUrl: options.avatarUrl,
        couponOrderId: options.couponOrderId
      })
    }
    Http.get({
      url: config.api.marketicon,
      data: {
        appId: app.globalData.appId
      }
    }).then(res => {
      that.setData({
        mallImgUrl: res.data.mallImgUrl
      });
      tt.setNavigationBarTitle({
        title: res.data.mallName
      })
    })
      .catch(err => {
        tt.showToast({
          title: err.errMsg,
          icon: 'none',
          duration: 2000,
          mask: false
        });
      })
  },
  onShow: function () {
    tt.checkSession({
      success() {
        //session_key 未过期，并且在本生命周期一直有效
      },
      fail() {
        console.log("session_key 过期")
        // session_key 已经失效，需要重新执行登录流程
        tt.login({
          success: (res) => {
            if (res.code) {
              let usrdata = {
                appId: app.globalData.appId,
                code: res.code,
              }
              Http.post({
                url: config.api.login,
                data: usrdata
              }).then(res => {
                Http.setToken(res.data.token);
                app.globalData.token = res.data.token;
              })
            }
          }
        })
      }
    })
  },
  bindGetUserInfo(e) {
    //session_key 未过期，并且在本生命周期一直有效
    tt.getUserProfile({
      title: '温馨提示',
      desc: '用于完善会员资料', // 声明获取用户个人信息后的用途，后续会展示在弹窗中，请谨慎填写
      success: (res) => {
        let that = this;
        var iv = res.iv;
        var encryptedData = res.encryptedData;

        Http.post({
          url: config.api.getUserInfo,
          data: {
            encryptedData: encryptedData,
            iv: iv
          }
        }).then(res => {
          
          if (app.globalData.type == 'gm' && that.data.id && that.data.gameId && that.data.url) {//游戏页面
            app.globalData.skipUrl = '/pages/game/index?url=' + that.data.url + "&id=" + that.data.id + "&gameId=" + that.data.gameId,
              app.globalData.skip = 'redirectTo'
            that.judgePhonelngo()
            return;
          }
          if (that.data.wjId) {
            app.globalData.skipUrl = `/pages/questionnaire/questionnaire?id=${that.data.wjId}`
            app.globalData.skip = 'redirectTo'
            that.judgePhonelngo()
            return;
          }
          if (that.data.fromflag == 'poster') {
            app.globalData.skipUrl = `/pages/canvas/index?couponChannelId=${that.data.couponChannelId}`
            app.globalData.skip = 'redirectTo'
            that.judgePhonelngo()
            return;
          }
          //

          if (that.data.optionData != null && that.data.optionData.orderGroupId != null && that.data.optionData.orderGroupId != "") {
            app.globalData.skipUrl = `/pages/joinFrDpell/index?couponId=${that.data.optionData.couponId}&orderGroupId=${that.data.optionData.orderGroupId}&couponChannelId=${that.data.optionData.couponChannelId}&orderId=${that.data.optionData.orderId}&avatarUrl=${that.data.optionData.avatarUrl}&nickName=${that.data.optionData.nickName}`
            app.globalData.skip = 'reLaunch'
            that.judgePhonelngo()
            return;
          }
          if (that.data.path == 'index') {
            app.globalData.skipUrl = "/pages/game/index"
            app.globalData.skip = 'reLaunch'
            that.judgePhonelngo()
          } else {
            //返回主页
            // if (that.data.couponChannelId && !that.data.cuserId && !that.data.spellGroup||that.data.couponChannelId && !that.data.cuserId&&app.globalData.type == 'cd') {
            if (that.data.couponChannelId && !that.data.cuserId && !that.data.spellGroup && app.globalData.type == 'cd') {
              // 跳转普通券/消费卡/限时秒杀/砍价详情
              app.globalData.skipUrl = `/pages/coupon/detail/index?couponChannelId=${that.data.couponChannelId}`
              app.globalData.skip = 'navigateTo'
              that.judgePhonelngo()
            } else if (that.data.couponChannelId && that.data.cuserId && !that.data.spellGroup && app.globalData.type != 'sd') {
              // 来自转赠
              app.globalData.skipUrl = `/pages/coupon/detail/index?couponChannelId=${that.data.couponChannelId}&cuserId=${that.data.cuserId}&coverImg=${that.data.coverImg}&userName=${that.data.userName}&avatarUrl=${that.data.avatarUrl}&couponOrderId=${that.data.couponOrderId}&updateDate=${that.data.updateDate}`
              app.globalData.skip = 'reLaunch'
              that.judgePhonelngo()
            } else if (that.data.couponChannelId && app.globalData.type == 'sd' || that.data.couponChannelId && that.data.spellGroup) {
              // 拼团详情页
              app.globalData.skipUrl = `/pages/spellGroup/mySpellGroup/index?couponChannelId=${that.data.couponChannelId}`
              app.globalData.skip = 'redirectTo'
              that.judgePhonelngo()
            } else if (that.data.optionData != null && that.data.optionData.id && app.globalData.type == 'gm') {
              // 游戏页面
              that.getGameOne(app.globalData.token, that.data.optionData.id)

            } else if (that.data.optionData != null && that.data.optionData.id && app.globalData.type == 'td') {
              app.globalData.skipUrl = `/pages/topicDetail/index?id=${that.data.optionData.id}`
              app.globalData.skip = 'redirectTo'
              that.judgePhonelngo()
            }
            // 报名活动
            else if (that.data.optionData != null && that.data.optionData.id && app.globalData.type == 'ra') {
              app.globalData.skipUrl = `/pages/radetail/index?id=${that.data.optionData.id}`,
                app.globalData.skip = 'redirectTo'
              that.judgePhonelngo()
            }
            // 报名签到
            else if (that.data.optionData != null && that.data.optionData.id && app.globalData.type == 'si') {
              app.globalData.skipUrl = `/pages/acSignIn/index?id=${that.data.optionData.id}`,
                app.globalData.skip = 'redirectTo'
              that.judgePhonelngo()
            }
            // 门店详情
            else if (that.data.optionData != null && that.data.optionData.id && app.globalData.type == 'md') {
              app.globalData.skipUrl = `/pages/index/searchbar/detail/index?id=${that.data.optionData.id}`,
                app.globalData.skip = 'redirectTo'
              that.judgePhonelngo()
            }
            // 通过分享进入的门店详情页面
            else if (that.data.id && that.data.frommd == 'md') {
              app.globalData.skipUrl = `/pages/index/searchbar/detail/index?id=${that.data.id}`,
                app.globalData.skip = 'redirectTo'
              that.judgePhonelngo()
            } else if (that.data.optionData != null && that.data.optionData.bt && that.data.optionData.id && app.globalData.type == 'bd') {
              // 宣传页详情
              if (that.data.optionData != null && that.data.optionData.bt == '2') {
                // 自由图文
                app.globalData.skipUrl = `/pages/freeBannerDetail/index?id=${that.data.optionData.id}`,
                  app.globalData.skip = 'redirectTo'
                that.judgePhonelngo()
              } else {
                // 标准格式
                app.globalData.skipUrl = `/pages/bannerdetail/index?id=${that.data.optionData.id}`,
                  app.globalData.skip = 'redirectTo'
                that.judgePhonelngo()
              }
            } else if (that.data.orderId || that.data.orderId && app.globalData.type == 'bg') {
              // 参与砍价
              app.globalData.skipUrl = `/pages/bargain/bargainDatail/bargainDatail?orderId=${that.data.orderId}&composeOrderType=${that.composeOrderType}`,
                app.globalData.skip = 'navigateTo'
              that.judgePhonelngo()
            } else if (app.globalData.type == 'uc') {
              // 我的
              app.globalData.skipUrl = '/index/user',
                app.globalData.skip = 'redirectTo'
              that.judgePhonelngo()
            } else if (app.globalData.type == 'in') {
              // 首页
              app.globalData.skipUrl = app.globalData.goHomeUrl,
                app.globalData.skip = 'redirectTo'
              that.judgePhonelngo()
            } else if (app.globalData.type == "qd") {
              //每日签到
              app.globalData.skipUrl = "/pages/activityCalendar/activityCalendar"
              app.globalData.skip = 'reLaunch'
              that.judgePhonelngo()
            } else if (app.globalData.type == "hdrl") {
              //活动日历
              app.globalData.skipUrl = `/pages/radetail/index?id=${app.globalData.activityId}`
              app.globalData.skip = 'redirectTo'
              that.judgePhonelngo()
            }
            // 积分
            else if (app.globalData.type == 'jf') {
              app.globalData.skipUrl = '/pages/integralmall/index',
                app.globalData.skip = 'redirectTo'
              that.judgePhonelngo()
            } else if (app.globalData.type == 'pc') {
              // 停车
              app.globalData.skipUrl = '/index/passCar',
                app.globalData.skip = 'redirectTo'
              that.judgePhonelngo()
            } else if (app.globalData.type == 'mc') {
              // 我的券包
              app.globalData.skipUrl = '/pages/couponorder/index/index',
                app.globalData.skip = 'redirectTo'
              that.judgePhonelngo()
            } else if (app.globalData.type == 'mo') {
              // 我的订单
              app.globalData.skipUrl = '/pages/order/index/index?id=all',
                app.globalData.skip = 'redirectTo'
              that.judgePhonelngo()
            } else if (app.globalData.type == 'ca') {
              // 我的卡包
              app.globalData.skipUrl = '/pages/cardorder/index/index',
                app.globalData.skip = 'redirectTo'
              that.judgePhonelngo()
            } else if (app.globalData.type == 'sc') {
              // 特享礼遇
              app.globalData.skipUrl = '/pages/specialcourtesy/specialcourtesy',
                app.globalData.skip = 'redirectTo'
              that.judgePhonelngo()
            } else if (app.globalData.type == 'rb') {
              // 限时秒杀
              app.globalData.skipUrl = '/pages/rushToBuy/index',
                app.globalData.skip = 'redirectTo'
              that.judgePhonelngo()
            } else if (app.globalData.type == 'bl') {
              // 砍价专场
              app.globalData.skipUrl = '/pages/bargain/bargain',
                app.globalData.skip = 'redirectTo'
              that.judgePhonelngo()
            } else if (app.globalData.type == 'mb') {
              // 我的砍价
              app.globalData.skipUrl = '/pages/bargain/bargain?from=myhtml',
                app.globalData.skip = 'redirectTo'
              that.judgePhonelngo()
            } else if (app.globalData.type == 'sl') {
              // 拼团专场
              app.globalData.skipUrl = '/pages/spellGroup/spellGroup',
                app.globalData.skip = 'redirectTo'
              that.judgePhonelngo()
            } else if (app.globalData.type == 'ms') {
              // 我的拼团
              app.globalData.skipUrl = '/pages/spellGroup/spellGroup?from=myhtml',
                app.globalData.skip = 'redirectTo'
              that.judgePhonelngo()
            } else if (app.globalData.type == 'dc') {
              // 消费卡
              app.globalData.skipUrl = '/pages/discountCardList/discountCardList',
                app.globalData.skip = 'redirectTo'
              that.judgePhonelngo()
            } else if (app.globalData.type == 'td') {
              // 专题活动页
              app.globalData.skipUrl = '/pages/topicDetail/index',
                app.globalData.skip = 'redirectTo'
              that.judgePhonelngo()
            } else if (app.globalData.type == 'ml') {
              // 门店
              app.globalData.skipUrl = '/index/searchbar',
                app.globalData.skip = 'redirectTo'
              that.judgePhonelngo()
            } else if (that.data.fromflag == 'coupondetail' && that.data.couponChannelIdflag) {
              app.globalData.skipUrl = `/pages/coupon/detail/index?couponChannelId=${that.data.couponChannelIdflag}`,
                app.globalData.skip = 'redirectTo'
              that.judgePhonelngo()
            } else if (that.data.fromflag == 'spellcoupondetail' && that.data.couponChannelIdflag) {
              app.globalData.skipUrl = `/pages/spellGroup/mySpellGroup/index?couponChannelId=${that.data.couponChannelIdflag}`,
                app.globalData.skip = 'redirectTo'
              that.judgePhonelngo()
            } else if (that.data.fromflag == 'fillIndent' && that.data.fillIndentId && that.data.couponId) {
              //线上配送 填写订单
              app.globalData.skipUrl = `/pages/fillIndent/fillIndent?id=${that.data.fillIndentId}&couponId=${that.data.couponId}`,
                app.globalData.skip = 'redirectTo'
              that.judgePhonelngo()
            } else {
              app.globalData.skipUrl = app.globalData.goHomeUrl,
                app.globalData.skip = 'redirectTo'
              that.judgePhonelngo()
            }
          }
        })
          .catch(err => {
            tt.showToast({
              title: err.code,
              icon: 'none',
              duration: 2000,
              mask: false
            });
          })


      },
      fail: (err => {
        console.log(err)
      })
    })
  },
  getGameOne: function (token, id) {
    let _this = this;
    Http.get({
      url: config.api.getOneGame,
      data: {
        token: token,
        id: id
      }
    }).then(res => {
      tt.redirectTo({
        url: '/pages/game/index?url=' + res.data.url + "&id=" + res.data.id + "&gameId=" + res.data.gameId,
      })
    })
      .catch(err => {
        tt.showModal({
          title: '提示',
          content: err.message,
          showCancel: false,
          success: function (res) {
            // 如果游戏下架或者找不到，重启首页
            if (res.confirm) {
              tt.reLaunch({
                url: '/pages/index/index',
              })
            }
          }
        })
        this.alphaClick();
      })
  },

});